Package org.kie.api.io

## Interface ResourceWithConfiguration

-     public interface ResourceWithConfiguration

  Represent a tuple of a `Resource` with associated `ResourceConfiguration`, along with necessary kbuilder callbacks, to be used in in `KieAssemblerService`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.function.Consumer<java.lang.Object>` | `getAfterAdd()` | callback executed on `kbuilder` as a parameter in `KieAssemblerService`, which will be executed after performing `KieAssemblerService.addResourceAfterRules(Object, Resource, ResourceType, ResourceConfiguration)` for the given resource `getResource()`.
    `java.util.function.Consumer<java.lang.Object>` | `getBeforeAdd()` | callback executed on `kbuilder` as a parameter in `KieAssemblerService`, which will be executed before performing `KieAssemblerService.addResourceAfterRules(Object, Resource, ResourceType, ResourceConfiguration)` for the given resource `getResource()`.
    `Resource` | `getResource()` |
    `ResourceConfiguration` | `getResourceConfiguration()` |

- - ### Method Detail

    - #### getResource

          Resource getResource()

    - #### getResourceConfiguration

          ResourceConfiguration getResourceConfiguration()

    - #### getBeforeAdd

          java.util.function.Consumer<java.lang.Object> getBeforeAdd()

      callback executed on `kbuilder` as a parameter in `KieAssemblerService`, which will be executed before performing `KieAssemblerService.addResourceAfterRules(Object, Resource, ResourceType, ResourceConfiguration)` for the given resource `getResource()`.

    - #### getAfterAdd

          java.util.function.Consumer<java.lang.Object> getAfterAdd()

      callback executed on `kbuilder` as a parameter in `KieAssemblerService`, which will be executed after performing `KieAssemblerService.addResourceAfterRules(Object, Resource, ResourceType, ResourceConfiguration)` for the given resource `getResource()`.